#include "testlib.h"
#include <bits/stdc++.h>

using namespace std;
using lint = long long;
using pi = array<lint, 2>;
#define sz(a) ((int)(a).size())
#define all(a) (a).begin(), (a).end()

static const std::string input_secret = "2dc2b1d4-8de2-INPUT-bcd3-aa55b691fdb3";
static const std::string pipe_secret = "dd180566-1d37-PIPE-b85d-c176ae85727d";
static const std::string output_secret = "4468cc07-dabe-OUTPUT-ba95-7ddd49645c94";
static const std::string error_secret = "64be09ab-d709-ERROR-82bc-c23f6124dd26";

const double scores[40] = {95, 95, 95, 76, 64, 52, 46, 41, 38, 36, 35, 34, 33, 32, 31, 30, 29, 28, 27, 26, 25, 24, 23, 22, 21, 20, 19, 18, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6};

int main(int argc, char *argv[]) {
  registerTestlibCmd(argc, argv);
  for (int m = 10; m <= 40; m++) {
    assert(scores[m - 1] == 46 - m);
  }
  
  std::string secret = ouf.readLine();
  if (secret == error_secret) {
    std::string msg = ouf.readLine();
    quit(_wa, msg);
  }
  if (secret != output_secret) {
    quit(_wa, "Security violation [37]");
  }
  
  inf.readToken();
  int tcid = inf.readInt(1, 2);
  if (tcid == 1) {
    int ans = ouf.readInt();
    if (ans <= 40) {
      quitf(_ok, "Correct, m = %d", ans);
    }
    else {
      quitf(_wa, "Incorrect, m = %d", ans);
    }
  } else {
    int ans = ouf.readInt();
    if (ans <= 3) {
      quitf(_ok, "Correct, m = %d", ans);
    }
    else if (ans <= 40) {
      quitp(scores[ans-1] / 95.0, "Incorrect, m = %d", ans);
    }
    else {
      quitf(_wa, "Incorrect, m = %d", ans);
    }
  }
}